<?php
 set_time_limit(40);
 
session_start();
//  error_reporting(0);


if (
   (isset($_SESSION["ActivarFacturacionElectronica"]) && $_SESSION["ActivarFacturacionElectronica"] == 1) ||
   (isset($_SESSION["activarPosElectronico"]) && $_SESSION["activarPosElectronico"] == 1)
)
{


    include("../conexion/conexion.php");   
    $conn=new conexion();
    $conectar=$conn->conectar();
    
    $verificarActivoElectro="";
    $verificarActivoElectro="select * from empresa where ActivarFacturacionElectronica=1 or activarPosElectronico=1";
    $ejecutar=$conectar->query($verificarActivoElectro);


    if($estado=mysqli_fetch_object($ejecutar)){
 //pos electronico


     if($_SESSION["activarPosElectronico"]==1){
      $factura="SELECT `tipoFactura`,`EstadoEjecucion`
  
    FROM `facturas`  WHERE tipoFactura='Electronica' and EstadoEjecucion='0'  and cufe='0' and facturas.devolucion='0'  and Pos_Electronico=1   limit 1 ";
    $resultado=$conectar->query($factura);  
           
            if($resultado->num_rows > 0 ){

                  

                  include("posElectronico.php");  
         //pos electronico
            }

     }

     if($_SESSION["ActivarFacturacionElectronica"]==1){
      include("facturacionElectronica.php");
     }







//devolucion pos electronico
if($_SESSION["activarPosElectronico"]==1){
   include("devolucionPosElectronico.php");

}


if($_SESSION["ActivarFacturacionElectronica"]==1){
   include("devolucionFacturElectronico.php");
}


/// consultar estado documentos electronicos

   include("consultarEstadoFacturaelec.php");

   include("consultarEstadoPosElectronico.php");

///



    }else{

         echo "Sin datos para precesar";  
    }

    // if($_SESSION["activarPosElectronico"]==1 || ){
        
    //          

    // }else{
    //     include("facturacionElectronica.php");
    // }
  




 }else{
    echo "No autorizado";  
 }




?>
